Metadata (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel
Interface Metadata

All Known Subinterfaces:
  MetadataImplementor

All Known Implementing Classes:
  MetadataImpl

    public interface Metadata

Nested Class Summary
`static interface` | `Metadata.Options` Exposes the options used to produce a `Metadata` instance.

Method Summary
`SessionFactory` | `buildSessionFactory()`
`Iterable<PluralAttributeBinding>` | `getCollectionBindings()`
`EntityBinding` | `getEntityBinding(String entityName)`
`Iterable<EntityBinding>` | `getEntityBindings()`
`Iterable<FetchProfile>` | `getFetchProfiles()`
`Iterable<FilterDefinition>` | `getFilterDefinitions()`
`IdGenerator` | `getIdGenerator(String name)`
`Iterable<Map.Entry<String,String>>` | `getImports()`
`Iterable<NamedSQLQueryDefinition>` | `getNamedNativeQueryDefinitions()`
`Iterable<NamedQueryDefinition>` | `getNamedQueryDefinitions()`
`Metadata.Options` | `getOptions()`
`Iterable<ResultSetMappingDefinition>` | `getResultSetMappingDefinitions()`
`EntityBinding` | `getRootEntityBinding(String entityName)` Get the "root" entity binding
`SessionFactoryBuilder` | `getSessionFactoryBuilder()`
`TypeDef` | `getTypeDefinition(String name)`
`Iterable<TypeDef>` | `getTypeDefinitions()`

Method Detail

### getOptions

    Metadata.Options getOptions()

### getSessionFactoryBuilder

    SessionFactoryBuilder getSessionFactoryBuilder()

### buildSessionFactory

    SessionFactory buildSessionFactory()

### getEntityBindings

    Iterable<EntityBinding> getEntityBindings()

### getEntityBinding

    EntityBinding getEntityBinding(String entityName)

### getRootEntityBinding

    EntityBinding getRootEntityBinding(String entityName)

  Get the "root" entity binding

  Parameters:
    `entityName` -
  Returns:
    the "root entity binding; simply returns entityBinding if it is the root entity binding

### getCollectionBindings

    Iterable<PluralAttributeBinding> getCollectionBindings()

### getTypeDefinition

    TypeDef getTypeDefinition(String name)

### getTypeDefinitions

    Iterable<TypeDef> getTypeDefinitions()

### getFilterDefinitions

    Iterable<FilterDefinition> getFilterDefinitions()

### getNamedQueryDefinitions

    Iterable<NamedQueryDefinition> getNamedQueryDefinitions()

### getNamedNativeQueryDefinitions

    Iterable<NamedSQLQueryDefinition> getNamedNativeQueryDefinitions()

### getResultSetMappingDefinitions

    Iterable<ResultSetMappingDefinition> getResultSetMappingDefinitions()

### getImports

    Iterable<Map.Entry<String,String>> getImports()

### getFetchProfiles

    Iterable<FetchProfile> getFetchProfiles()

### getIdGenerator

    IdGenerator getIdGenerator(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.